summaryrefslogtreecommitdiffstats
path: root/abs/core/syslog-ng/syslog-ng.rc
diff options
context:
space:
mode:
authorMichael Hanson <hansonorders@verizon.net>2010-11-06 01:06:40 (GMT)
committerMichael Hanson <hansonorders@verizon.net>2010-11-06 01:06:40 (GMT)
commitfa050b437f10141db9c28b4f1327d27aa851d944 (patch)
treed46b04d9f727586bcd5db6de05f93030dcf03d1e /abs/core/syslog-ng/syslog-ng.rc
parent2e9de8e980bd65c44629c8e1cb84105d530ce560 (diff)
parent676db4cdf0ec3a29073ee4408b8a610b1b334bd3 (diff)
downloadlinhes_pkgbuild-fa050b437f10141db9c28b4f1327d27aa851d944.zip
linhes_pkgbuild-fa050b437f10141db9c28b4f1327d27aa851d944.tar.gz
linhes_pkgbuild-fa050b437f10141db9c28b4f1327d27aa851d944.tar.bz2
Merge branch 'testing' of knoppmyth.net:linhes_pkgbuild into testing
Diffstat (limited to 'abs/core/syslog-ng/syslog-ng.rc')
-rwxr-xr-xabs/core/syslog-ng/syslog-ng.rc39
1 files changed, 39 insertions, 0 deletions
diff --git a/abs/core/syslog-ng/syslog-ng.rc b/abs/core/syslog-ng/syslog-ng.rc
new file mode 100755
index 0000000..f9d14c7
--- /dev/null
+++ b/abs/core/syslog-ng/syslog-ng.rc
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/syslog-ng`
+case "$1" in
+ start)
+ stat_busy "Starting Syslog-NG"
+ [ -z "$PID" ] && /usr/sbin/syslog-ng
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon syslog-ng
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Syslog-NG"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm -f /var/run/syslog-ng.pid
+# Removing stale syslog-ng.persist file. It's new location, as of 2.0.6-1, is /var/lib/syslog-ng/
+ rm -f /var/syslog-ng.persist
+ rm_daemon syslog-ng
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0